(*
    Id3Tag - Custom field editor
    Copyright (c) 1998-2002,2003 Alessandro Scotti
    http://www.ascotti.org/

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*)
unit EditCustomField;

interface

uses
  SysUtils, Classes, QForms, QStdCtrls, QControls;

type
  TformEditCustomField = class(TForm)
    lblName: TLabel;
    lblValue: TLabel;
    edtName: TEdit;
    edtValue: TEdit;
    lblText: TLabel;
    btnCancel: TButton;
    btnOk: TButton;
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  formEditCustomField: TformEditCustomField;

implementation

{$R *.dfm}

procedure TformEditCustomField.FormShow(Sender: TObject);
begin
  edtValue.SetFocus;
  edtValue.SelectAll;
end;

end.
