(*
    Id3Tag - An ID3 tag editor
    Copyright (c) 1998-2002,2003 Alessandro Scotti
    http://www.ascotti.org/

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*)
program Id3tag;

uses
  QForms,
  Main in 'Main.pas' {formMain},
  Id3 in 'Id3.pas',
  Properties in 'Properties.pas' {formId3Properties},
  Rename in 'Rename.pas' {formRename},
  About in 'About.pas' {formAbout},
  ConfirmSave in 'ConfirmSave.pas' {formConfirmSave},
  MakeIndex in 'MakeIndex.pas' {formIndexProperties},
  Tools in 'Tools.pas',
  EditCustomField in 'EditCustomField.pas' {formEditCustomField},
  SaveFiles in 'SaveFiles.pas' {formSaveFiles},
  Autocomplete in 'Autocomplete.pas' {formAutocomplete};

{$R *.res}

begin
  Application.Initialize;
  Application.Title := 'Id3 Tag Editor';
  Application.CreateForm(TformMain, formMain);
  Application.CreateForm(TformIndexProperties, formIndexProperties);
  Application.CreateForm(TformId3Properties, formId3Properties);
  Application.CreateForm(TformRename, formRename);
  Application.CreateForm(TformConfirmSave, formConfirmSave);
  Application.CreateForm(TformEditCustomField, formEditCustomField);
  Application.CreateForm(TformSaveFiles, formSaveFiles);
  Application.CreateForm(TformAutocomplete, formAutocomplete);
  Application.Run;
end.
